﻿package {
	import flash.display.*;
	import flash.events.*;
	import flash.ui.Mouse;
	


	public class Helice extends MovieClip {
		private var particles:Array;
		private var startx,starty:Number;
		private var particleMC:Sprite;
		private var pen:Sprite;

		public function Helice(rootMovie:MovieClip, locx:Number, locy:Number) {
			particles = new Array();
			startx = locx;
			starty = locy;
			particleMC = new Sprite();
			pen = new Sprite;
			
			rootMovie.addChild(particleMC);
			rootMovie.addChild(pen);
			addEventListener(Event.ENTER_FRAME, moveParticles);
		}

		private function moveParticles(e:Event) {
			createParticle();
						pen.graphics.clear();
						particleMC.graphics.clear();
			for(var i:int=particles.length-1;i>=0;i--) {
				particles[i].x += particles[i].dx;
				particles[i].y += particles[i].dy;
				pen.graphics.lineStyle(1,0xffffff);
				pen.graphics.moveTo(mouseX,mouseY);
				pen.graphics.lineTo(particles[i].x,particles[i].y);
				/*on change de "crayon" */
				particleMC.graphics.lineStyle(10,0xff00ff);
				/*on desside de remplir d'une couleur */
				particleMC.graphics.beginFill(0xffff00,100);
				/*on dessine un cercle sur le point d'arrivée*/
				particleMC.graphics.drawCircle(particles[i].x,particles[i].y,3);
				/*on arrete le remplissage de la couleur*/
				particleMC.graphics.endFill();
				
				if (particles[i].life-- <= 0) {
					particles[i].dx = 0;
				    particles[i].dy = 0;
					particleMC.removeChild(particles[i]);
					particles.splice(i,1);
				}
			}
		}
		
		private function createParticle() {
			var p:Particle = new Particle();
			p.x = mouseX;
			p.y = mouseY;
			p.life = 100;
			p.dx = Math.random()*9-3;
			if (p.y > 300){
			p.dy = Math.random()*4;
				}else if (p.y <300){
			p.dy = Math.random()*2-4;
					}
			
			particleMC.addChild(p);
			particles.push(p);
		}

	}
}

